Bug 1284642 - (CVE-2015-7510) CVE-2015-7510 systemd: Stack overflow in nss-mymachines
CVE-2015-7510 systemd: Stack overflow in nss-mymachines
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151124,repor...
: Security
Depends On: 1284825
Blocks: 1284643
  Show dependency treegraph
 
Reported: 2015-11-23 12:59 EST by Adam Mariš
Modified: 2016-01-13 04:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-13 04:37:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2015-11-23 12:59:48 EST
A stack-based buffer overflow vulnerability was found in getpwnam()/getgrnam() functions of NSS module nss-mymachines provided by systemd.
Comment 2 Adam Mariš 2015-11-24 04:55:28 EST
Acknowledgments:

This issue was discovered by Florian Weimer of Red Hat.
Comment 3 Adam Mariš 2015-11-24 04:57:10 EST
Public via:

https://github.com/systemd/systemd/issues/2002
Comment 4 Adam Mariš 2015-11-24 04:59:34 EST
Created systemd tracking bugs for this issue:

Affects: fedora-all [bug 1284825]
Comment 6 Cedric Buissart 2016-01-13 04:37:40 EST
The bug was introduced with the _nss_mymachines_getpwnam_r() & _nss_mymachines_getgrnam_r() functions, in v223.
RHEL7 is currently shipping older versions, and thus is not vulnerable.

Statement:

This issue did not affect the versions of systemd as shipped with Red Hat Enterprise Linux 7.

Note You need to log in before you can comment on or make changes to this bug.